---
layout: default
title: Stato di avanzamento
---
<style>
img.check{
  width: 1.2em;
}
th.rotate 
{
  vertical-align: bottom;
  text-align: center;
}

th.rotate span 
{
  -ms-writing-mode: tb-rl;
  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
  transform: rotate(180deg);
  white-space: nowrap;
}
td.center{
  text-align: center;
}


.cards {
  max-width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 2rem;
  row-gap: 2rem;
  grid-auto-flow: dense;
  align-items: start;
}
.cards .card {
  margin: 0 auto;
  max-width: 320px;
  height: fit-content;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
}
.cards .card:hover {
  cursor: pointer;
  box-shadow: 0px 2px 16px rgba(0, 0, 0, 0.2);
  transition: box-shadow 0.3s, transform 0.3s;
  transform: scale(1.05);
}
.cards .card:hover .card-header h3 {
  transition: color 0.3s;
  color: royalblue;
}
.cards .card .card-hero img {
  width: 100%;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}
.cards .card .card-header {
  padding: 8px 16px;
}
.cards .card .card-body {
  padding: 8px 16px;
}
.cards .card .card-footer {
  padding: 8px 16px 16px 16px;
  display: flex;
  gap: 8px;
}
.cards .card .card-footer .footer-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
}
.cards .card .card-footer .avatar {
  width: 32px;
  height: 32px;
  border-radius: 50%;
}

.muted {
  color: rgba(0, 0, 0, 0.7);
}

@media only screen and (max-width: 1100px) {
  .cards .card {
    max-width: 280px;
  }
}
@media only screen and (max-width: 920px) {
  .cards {
    margin-top: 1rem;
    margin-bottom: 2rem;
    grid-template-columns: 1fr;
  }
  .cards .card {
    max-width: 400px;
  }
}
@media only screen and (max-width: 500px) {
  .cards {
    margin-top: 1rem;
    margin-bottom: 2rem;
    grid-template-columns: 1fr;
  }
  .cards .card {
    max-width: 320px;
  }
}
</style>



<div class="home">
<table>
<thead>
  <tr>
  <th class="rotate"><span>Team</span></th>
  <th class="rotate"><span>Scadenza 19 dic. 2022</span></th>
  <th class="rotate"><span>Scadenza 20 dic. 2022</span></th>
  <th class="rotate"><span>Scadenza 30 dic. 2022</span></th>
  <th class="rotate"><span>Scadenza 14 gen. 2023</span></th>
  <th class="rotate"><span>Scadenza 21 gen. 2023</span></th>
  <th class="rotate"><span>URL applicazione</span></th>
  <th class="rotate"><span>Repository git</span></th>
  <th class="rotate"><span>N° commit</span></th>
  <th class="rotate"><span>Wireframe</span></th>
  <th class="rotate"><span>Utilizzo composer</span></th>
  <th class="rotate"><span>Linee di codice</span></th>
  <th class="rotate"><span>Code quality</span></th>
</tr>
</thead>
<tbody>

{% for team in site.data.projects %}  
  {% for data in site.data.data %}
  {% if team.git_team==data.git_team %}

  <tr>
  <td>{{ team.name }}</td>
  <td class="center">
    <img class='check' src='assets/images/{{team.stato_consegne.st20221219}}.svg'>
  </td>
    <td class="center">
    <img class='check' src='assets/images/{{team.stato_consegne.st20221220}}.svg'>
  </td>
    <td class="center">
    <img class='check' src='assets/images/{{team.stato_consegne.st20221230}}.svg'>
  </td>
    <td class="center">
    <img class='check' src='assets/images/{{team.stato_consegne.st20230114}}.svg'>
  </td>
    <td class="center">
    <img class='check' src='assets/images/{{team.stato_consegne.st20230121}}.svg'>
  </td>
  <td class="center">
<a href="{{team.URL}}">
    <img class='check' src='assets/images/{% if team.URL %}{{team.URL_status}}{%else%}cross{%endif%}.svg'>
</a>
  </td>
  <td class="center">
    <a href="https://gitlab.com/{{data.git_team}}/{{team.app}}">
    <img class='check' src='assets/images/{% if data.git_exists==1 %}tick{%else%}cross{%endif%}.svg'>
  </a>
  </td>
 <td class="center">{{ data.git_commits }}</td>
<td class="center">    <img class='check' src='assets/images/{% if data.wireframe==1 %}tick{%else%}cross{%endif%}.svg'></td>
<td class="center">    
{% if data.composer==0 %}
  <img class='check' src='assets/images/cross.svg'>
{%endif%}
{% if data.composer==1 %}
  <img class='check' src='assets/images/tick-yellow.svg'>
{%endif%}
{% if data.composer>=2 %}
  <img class='check' src='assets/images/tick.svg'>
{%endif%}


</td>
  <td class="center">{{ data.cloc }}</td>
   <td class="center"
{% if data.code_quality.media>90 %}style='background: LightGreen'{%else%}
{% if data.code_quality.media<70 %}style='background: red'{%else%}
style='background: yellow'
{%endif%}{%endif%}
   >
   {% if data.git_exists==1 %}
   {{ data.code_quality.media }}%
   {%endif%}
 </td>
</tr>
{% endif %}
{% endfor %}
{% endfor %}
</tbody>

<caption>Dati aggiornati al {{site.data.timestamp.timestamp}}</caption>
</table>



<div class="cards">

{% for team in site.data.projects %}
  <div class="card">
    <div class="card-hero">
      <img src="assets/images/logo/{{team.git_team}}.png" width="10em" />
    </div>
    <div class="card-header">
      <h3>{{team.name}}</h3>
    </div>
    <div class="card-body">
      <p>
        <ul>
          {% for person in team.persons %}
            <li>{{person}}</li>
            {% endfor %}
        </ul>
      </p>
    </div>
<div class="card-footer">
      <div class="footer-item">
        <a href="{{team.URL}}">
        <strong>> {{team.app}}</strong>
      </a>
      </div>
    </div>
  </div>
    {% endfor %}

</div>
